Get External Task Log Error Details
curl --request GET \
--url http://{host}:{port}/{contextPath}/history/external-task-log/{id}/error-details \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/history/external-task-log/{id}/error-details"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/history/external-task-log/{id}/error-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"java.lang.RuntimeException: A exception message!\n at org.camunda.bpm.pa.service.FailingDelegate.execute(FailingDelegate.java:10)\n at org.camunda.bpm.engine.impl.delegate.JavaDelegateInvocation.invoke(JavaDelegateInvocation.java:34)\n at org.camunda.bpm.engine.impl.delegate.DelegateInvocation.proceed(DelegateInvocation.java:37)\n ..."{
"type": "<string>",
"message": "<string>",
"code": 123
}历史外部任务日志
根据Id获取错误详情
Retrieves the corresponding error details of the passed historic external task log by id.
GET
/
history
/
external-task-log
/
{id}
/
error-details
Get External Task Log Error Details
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the historic external task log to get the error details for.
Response
Request successful.
Returns the error details of the historic external task log with the given ID.
⌘I